Page MenuHomePhabricator

Flow ToC widget text not wrapped/ellipsized; overlaps with board description widget
Closed, ResolvedPublic

Description

Steps;

  1. Firefox 57 or Chromium 63
  2. Go to https://www.mediawiki.org/wiki/Project:Support_desk
  3. Scroll down

Expected:
No text overlapping

Actual outcome:
Unreadable text

Note: the text in the ToC is truncated when in the list, but not when shown as a section title.

Event Timeline

Aklapper created this task.Jan 12 2018, 4:42 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 12 2018, 4:42 PM

Same thing on my side. I'm updating the task with some findings.

Trizek-WMF updated the task description. (Show Details)Jan 15 2018, 3:03 PM
Trizek-WMF updated the task description. (Show Details)

Confirmed in testwiki - happens only on scrolling.
The topic is displayed truncated in 'Browse topics' and in the title:

But on scrolling it overflows the text field:


Or the example from mediawiki: https://www.mediawiki.org/wiki/Project:Support_desk

Change 407448 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Flow@master] Ensure TOC button label is truncated

https://gerrit.wikimedia.org/r/407448

Change 407448 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Ensure TOC button label is truncated

https://gerrit.wikimedia.org/r/407448

Etonkovidova closed this task as Resolved.Feb 7 2018, 11:46 PM

Fixed in wmf.20.

238482n375 removed SBisson as the assignee of this task.Jun 15 2018, 8:04 AM
238482n375 triaged this task as Lowest priority.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: SBisson, 238482n375; removed: Aklapper.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Aklapper assigned this task to SBisson.Jun 15 2018, 12:46 PM